define(['scripts/knockout-3.3.0','scripts/ACTComponent.js'], function(ko, ACTComponent) {

	function noComponent(params, element) {
		self.base = new ACTComponent($(element), params);
		self.base.initialize();
		params.ready(true);
	}

	return {
		createViewModel: function(params, componentInfo) {
			return new noComponent(params, componentInfo.element);
		}
	};

});

